OGRE-Next: Ogre::MapIteratorWrapper< T, IteratorType > Class Template Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::MapIteratorWrapper< T, IteratorType > Class Template Reference

Prepared IteratorWrapper for key-value container. More...

`#include <OgreIteratorWrapper.h>`

Inheritance diagram for Ogre::MapIteratorWrapper< T, IteratorType >:
[legend]

## Public Types
typedef T::key_type | KeyType
| Type you expect to get by funktions like peekNextKey.
typedef T::value_type | PairType
| Unused, just to make it clear that map/set::value_type is not a ValueType.
typedef IteratorWrapper< T, IteratorType, typenameT::mapped_type >::PointerType | PointerType
| Redefined PointerType for a map/set.
typedef IteratorWrapper< T, IteratorType, typenameT::mapped_type >::ValueType | ValueType
| Redefined ValueType for a map/set.
Public Types inherited from Ogre::IteratorWrapper< T, IteratorType, T::mapped_type >
typedef IteratorType | const_iterator
| Typedef to fulfill container interface.
typedef IteratorType | iterator
| Typedef to fulfill container interface.
typedef T::mapped_type * | PointerType
| Type you expect to get by funktions like peekNext(Value)Ptr.
typedef T::mapped_type | ValueType
| Type you expect to get by funktions like peekNext(Value).

## Public Member Functions
| MapIteratorWrapper (IteratorType start, IteratorType last)
| Constructor.
ValueType | getNext ()
| Returns the next(=current) value element in the collection, and advances to the next.
KeyType | peekNextKey () const
| Returns the next(=current) key element in the collection, without advancing to the next.
ValueType | peekNextValue () const
| Returns the next(=current) value element in the collection, without advancing to the next.
const PointerType | peekNextValuePtr () const
| Returns a pointer to the next/current value element in the collection, without advancing to the next afterwards.
Public Member Functions inherited from Ogre::IteratorWrapper< T, IteratorType, T::mapped_type >
const IteratorType & | begin ()
| Bookmark to the begin of the underlying collection.
IteratorType & | current ()
| Full access to the current iterator.
const IteratorType & | end ()
| Bookmark to the end (one behind the last element) of the underlying collection.
bool | hasMoreElements () const
| Returns true if there are more items in the collection.
void | moveNext ()
| Moves the iterator on one element.

## Detailed Description

template<typename T, typename IteratorType>
class Ogre::MapIteratorWrapper< T, IteratorType >

Prepared IteratorWrapper for key-value container.

Template Parameters

  T | Container (map - or also set )
  IteratorType | T::iterator or T::const_iterator

Have a look at MapIterator and ConstMapIterator for a concrete usage

## Member Typedef Documentation

## ◆ KeyType

template<typename T, typename IteratorType>

typedef T::key_type Ogre::MapIteratorWrapper< T, IteratorType >::KeyType

Type you expect to get by funktions like peekNextKey.

## ◆ PairType

template<typename T, typename IteratorType>

typedef T::value_type Ogre::MapIteratorWrapper< T, IteratorType >::PairType

Unused, just to make it clear that map/set::value_type is not a ValueType.

## ◆ PointerType

template<typename T, typename IteratorType>

typedef IteratorWrapper<T,IteratorType,typenameT::mapped_type>::PointerType Ogre::MapIteratorWrapper< T, IteratorType >::PointerType

Redefined PointerType for a map/set.

## ◆ ValueType

template<typename T, typename IteratorType>

typedef IteratorWrapper<T,IteratorType,typenameT::mapped_type>::ValueType Ogre::MapIteratorWrapper< T, IteratorType >::ValueType

Redefined ValueType for a map/set.

## Constructor & Destructor Documentation

## ◆ MapIteratorWrapper()

template<typename T, typename IteratorType>

Ogre::MapIteratorWrapper< T, IteratorType >::MapIteratorWrapper | ( | IteratorType | start,
|  | IteratorType | last )
| inline

Constructor.

Remarks
  Provide a start and end iterator to initialise.

Referenced by Ogre::ConstMapIterator< OldNodeTrackList >::ConstMapIterator(), Ogre::ConstMapIterator< OldNodeTrackList >::ConstMapIterator(), Ogre::MapIterator< AnimationStateMap >::MapIterator(), and Ogre::MapIterator< AnimationStateMap >::MapIterator().

## Member Function Documentation

## ◆ getNext()

template<typename T, typename IteratorType>

ValueType Ogre::MapIteratorWrapper< T, IteratorType >::getNext | ( |  | ) |
| inline

Returns the next(=current) value element in the collection, and advances to the next.

Referenced by Ogre::Lod0Stripifier::StripLod0Vertices().

## ◆ peekNextKey()

template<typename T, typename IteratorType>

KeyType Ogre::MapIteratorWrapper< T, IteratorType >::peekNextKey | ( |  | ) | const
| inline

Returns the next(=current) key element in the collection, without advancing to the next.

## ◆ peekNextValue()

template<typename T, typename IteratorType>

ValueType Ogre::MapIteratorWrapper< T, IteratorType >::peekNextValue | ( |  | ) | const
| inline

Returns the next(=current) value element in the collection, without advancing to the next.

## ◆ peekNextValuePtr()

template<typename T, typename IteratorType>

const PointerType Ogre::MapIteratorWrapper< T, IteratorType >::peekNextValuePtr | ( |  | ) | const
| inline

Returns a pointer to the next/current value element in the collection, without advancing to the next afterwards.

The documentation for this class was generated from the following file:

- OgreIteratorWrapper.h